"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2b00>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2b90>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2c20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2cb0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2d40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2dd0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2e60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2ef0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c2f80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3010>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c30a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3130>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c31c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3250>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c32e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3370>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3490>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3520>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c35b0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3640>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c36d0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3760>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c37f0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3910>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3880>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c39a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3a30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3ac0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3b50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3be0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3c70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3d00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3d90>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3e20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3eb0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa51c3f40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52100d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52101f0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52103a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52104c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52105e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52108b0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52109d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210a60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210af0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210b80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210c10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210ca0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210d30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210dc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210e50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210ee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5210f70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211120>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211000>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52111b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211240>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52112d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211360>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52113f0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211510>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211480>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52115a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211630>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52116c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa52117e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211750>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211870>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211900>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211990>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211a20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211ab0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa5211b40>)]
name: str = 'fr_HOCCN'
